use cgmath::Point2;

use crate::physics::Pfloat;

#[derive(Debug, Clone, Copy)]
pub struct Camera {
	/// Camera center
	pub pos: Point2<Pfloat>,

	/// Camera zoom
	/// (How many game units tall is the viewport?)
	pub zoom: Pfloat,
}
